
USB Charging 1.5m Cable Compatible with Hatteker Hair Clipper 5V Charger for RFC-598 RFC-588 RFC-690 RSCX-7568 Electric Shaver
$3.78
Today it costs $3.78 on AliExpress. Since Oct 23, 2026, when we started tracking it, the price hasn't changed. We haven't tracked it long enough yet to say whether it's on sale.
We have tracked this product for less than a day; confirming a drop takes at least 3 days.
View on AliExpressThe price above is the last recorded reading, not a live checkout lookup.
Price history
$3.78
We started tracking this price on Oct 23. The chart takes shape over the days: we only draw prices we observed.
| Store | ZHUOYUEJIA Store |
|---|---|
| Product rating | — |
| Store rating | — |
| AliExpress category | Consumer Electronics › Accessories & Parts |
| Recorded readings | 1 |
| First seen | 10/23/2026 |
| Last reading | 10/23/2026, 7:50:25 AM UTC |